# Editor.ReferencesDialog Class Reference

Collaboration diagram for Editor.ReferencesDialog:

[legend]

List of all members.

## Public Member Functions
| ReferencesDialog ()
void | SetReferences (string[] references)
void | AddReference (string refStr)
string[] | GetReferences ()
| ReferencesDialog ()
void | SetReferences (string[] references)
void | AddReference (string refStr)
string[] | GetReferences ()
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
override void | Dispose (bool disposing)
| Clean up any resources being used.

## Detailed Description

Definition at line 11 of file ReferencesDialog.cs.

## Constructor & Destructor Documentation

Editor.ReferencesDialog.ReferencesDialog | ( |  | ) |

Definition at line 13 of file ReferencesDialog.cs.

Editor.ReferencesDialog.ReferencesDialog | ( |  | ) |

Definition at line 13 of file ReferencesDialog.cs.

## Member Function Documentation

void Editor.ReferencesDialog.AddReference | ( | string | refStr | ) |

Definition at line 35 of file ReferencesDialog.cs.

void Editor.ReferencesDialog.AddReference | ( | string | refStr | ) |

Definition at line 35 of file ReferencesDialog.cs.

override void Editor.ReferencesDialog.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  | disposing | true if managed resources should be disposed; otherwise, false.

Definition at line 14 of file ReferencesDialog.Designer.cs.

override void Editor.ReferencesDialog.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  | disposing | true if managed resources should be disposed; otherwise, false.

Definition at line 14 of file ReferencesDialog.Designer.cs.

string [] Editor.ReferencesDialog.GetReferences | ( |  | ) |

Definition at line 46 of file ReferencesDialog.cs.

string [] Editor.ReferencesDialog.GetReferences | ( |  | ) |

Definition at line 46 of file ReferencesDialog.cs.

void Editor.ReferencesDialog.SetReferences | ( | string[] | references | ) |

Definition at line 18 of file ReferencesDialog.cs.

void Editor.ReferencesDialog.SetReferences | ( | string[] | references | ) |

Definition at line 18 of file ReferencesDialog.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/Editor/ReferencesDialog.cs
- D:/guillaume/guillara/3D/DXGfx/Backup/Editor/ReferencesDialog.Designer.cs
- D:/guillaume/guillara/3D/DXGfx/Editor/ReferencesDialog.Designer.cs
- D:/guillaume/guillara/3D/DXGfx/Editor/ReferencesDialog.cs